<html>
<head>
  <title>./6_control/main.c</title>
</head>
<body bgcolor="#ffffff" text="#000000">
<pre>
<font color="0000ff"><strong>#include <font color="#008000">&lt;libmcm/mcm-control.h&gt;</font></strong></font>
<font color="0000ff"><strong>#include <font color="#008000">&lt;pthread.h&gt;</font></strong></font>
<font color="0000ff"><strong>#include <font color="#008000">&lt;signal.h&gt;</font></strong></font>
<font color="0000ff"><strong>#include <font color="#008000">&lt;stdio.h&gt;</font></strong></font>
<font color="0000ff"><strong>#include <font color="#008000">&lt;stdlib.h&gt;</font></strong></font>
<font color="0000ff"><strong>#include <font color="#008000">&lt;string.h&gt;</font></strong></font>

<strong>void</strong> <font color="#2040a0">usage</font><font color="4444FF">(</font><strong>void</strong><font color="4444FF">)</font> <font color="4444FF"><strong>{</strong></font>
    <font color="#2040a0">printf</font><font color="4444FF">(</font><font color="#008000">&quot;USAGE: control start/stop/reload/state <font color="#77dd77">\n</font>&quot;</font><font color="4444FF">)</font><font color="4444FF">;</font>
<font color="4444FF"><strong>}</strong></font>

<strong>int</strong> <font color="#2040a0">control_mcm</font><font color="4444FF">(</font><strong>char</strong> <font color="4444FF">*</font><font color="#2040a0">command</font><font color="4444FF">)</font> <font color="4444FF"><strong>{</strong></font>
    <strong>if</strong> <font color="4444FF">(</font><font color="4444FF">!</font><font color="#2040a0">strcmp</font><font color="4444FF">(</font><font color="#2040a0">command</font>, <font color="#008000">&quot;start&quot;</font><font color="4444FF">)</font><font color="4444FF">)</font>
        <font color="#2040a0">mcm_control_start</font><font color="4444FF">(</font><font color="4444FF">)</font><font color="4444FF">;</font>
    <strong>else</strong> <strong>if</strong> <font color="4444FF">(</font><font color="4444FF">!</font><font color="#2040a0">strcmp</font><font color="4444FF">(</font><font color="#2040a0">command</font>, <font color="#008000">&quot;stop&quot;</font><font color="4444FF">)</font><font color="4444FF">)</font>
        <font color="#2040a0">mcm_control_stop</font><font color="4444FF">(</font><font color="4444FF">)</font><font color="4444FF">;</font>
    <strong>else</strong> <strong>if</strong> <font color="4444FF">(</font><font color="4444FF">!</font><font color="#2040a0">strcmp</font><font color="4444FF">(</font><font color="#2040a0">command</font>, <font color="#008000">&quot;reload&quot;</font><font color="4444FF">)</font><font color="4444FF">)</font>
        <font color="#2040a0">mcm_control_reload</font><font color="4444FF">(</font><font color="4444FF">)</font><font color="4444FF">;</font>
    <strong>else</strong> <strong>if</strong> <font color="4444FF">(</font><font color="4444FF">!</font><font color="#2040a0">strcmp</font><font color="4444FF">(</font><font color="#2040a0">command</font>, <font color="#008000">&quot;state&quot;</font><font color="4444FF">)</font><font color="4444FF">)</font>
        <font color="#2040a0">printf</font><font color="4444FF">(</font><font color="#008000">&quot;Current State of Moxa Connection Manager : %s<font color="#77dd77">\n</font>&quot;</font>, <font color="#2040a0">mcm_control_get_state</font><font color="4444FF">(</font><font color="4444FF">)</font><font color="4444FF">)</font><font color="4444FF">;</font>
    <strong>else</strong>
        <font color="#2040a0">usage</font><font color="4444FF">(</font><font color="4444FF">)</font><font color="4444FF">;</font>
    <strong>return</strong> <font color="#FF0000">0</font><font color="4444FF">;</font>
<font color="4444FF"><strong>}</strong></font>

<strong>int</strong> <font color="#2040a0">main</font><font color="4444FF">(</font><strong>int</strong> <font color="#2040a0">argc</font>, <strong>char</strong> <font color="4444FF">*</font><font color="#2040a0">argv</font><font color="4444FF">[</font><font color="4444FF">]</font><font color="4444FF">)</font> <font color="4444FF"><strong>{</strong></font>
    <strong>if</strong> <font color="4444FF">(</font><font color="#2040a0">argc</font> <font color="4444FF">!</font><font color="4444FF">=</font> <font color="#FF0000">2</font><font color="4444FF">)</font> <font color="4444FF"><strong>{</strong></font>
        <font color="#2040a0">usage</font><font color="4444FF">(</font><font color="4444FF">)</font><font color="4444FF">;</font>
        <strong>return</strong> <font color="4444FF">-</font><font color="#FF0000">1</font><font color="4444FF">;</font>
    <font color="4444FF"><strong>}</strong></font>
    <strong>return</strong> <font color="#2040a0">control_mcm</font><font color="4444FF">(</font><font color="#2040a0">argv</font><font color="4444FF">[</font><font color="#FF0000">1</font><font color="4444FF">]</font><font color="4444FF">)</font><font color="4444FF">;</font>
<font color="4444FF"><strong>}</strong></font>

</pre>
<hr>
syntax highlighted by <a href="http://www.palfrader.org/code2html">Code2HTML</a>, v. 0.9.1
</body>
</html>
